net.corda.core.utilities

## Class Change.Position

- net.corda.core.utilities.ProgressTracker.Change
- - net.corda.core.utilities.ProgressTracker.Change.Position

- Enclosing class:
    ProgressTracker.Change

      public static class Change.Position
      extends ProgressTracker.Change

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.core.utilities.ProgressTracker.Change

      `Change.Position, Change.Rendering, Change.Structural`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Position(ProgressTracker tracker, ProgressTracker.Step newStep)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProgressTracker.Step` | `getNewStep()`
    `ProgressTracker` | `getTracker()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### Position

          public Position(ProgressTracker tracker,
                          ProgressTracker.Step newStep)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

    - #### getTracker

          public ProgressTracker getTracker()

    - #### getNewStep

          public ProgressTracker.Step getNewStep()